﻿$ErrorActionPreference = 'Stop'; 
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"


$url        = 'https://1cfresh.com/downloads/platform/setuptc_' + $env:ChocolateyPackageVersion + '.exe' 
$url64        = 'https://1cfresh.com/downloads/platform/setuptc_' + $env:ChocolateyPackageVersion + '_x86-64.exe' 

$packageZipArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir + '/setup'
  url           = $url
  url64bit		= $url64
  validExitCodes= @(0, 3010, 1641)
  Checksum = 'EE28CF754450E00CF9720E8FB0E28B045A7EBD1A0A27FD7153CBA2768C37F60A'
  ChecksumType = 'sha256'
  Checksum64 = '71CFB57E410A912B3392E56A24F8223720EF4587633C6779875CDA4D57E2B107'
  ChecksumType64 = 'sha256'
}


$packageMSIArgs = @{
  packageName   = $env:ChocolateyPackageName
  fileType      = 'MSI' 
  softwareName  = '1c*' 

    file64		  = $toolsDir + '\setup\1CEnterprise 8 Thin client (x86-64).msi'
    file          = $toolsDir + '\setup\1CEnterprise 8 Thin client.msi'
    silentArgs    = "/qn DESIGNERALLCLIENTS=1 THICKCLIENT=1 THINCLIENTFILE=1 THINCLIENT=1 WEBSERVEREXT=0 SERVER=0 CONFREPOSSERVER=0 CONVERTER77=0 SERVERCLIENT=0 LANGUAGES=RU"
  validExitCodes= @(0, 3010, 1641)
}

Write-Output "install 1с"
Install-ChocolateyZipPackage @packageZipArgs
Install-ChocolateyInstallPackage @packageMSIArgs
Remove-Item -LiteralPath $toolsDir'\setup' -Force -Recurse